PETSc version 3.15.5
Fix/Edit manual page

# PetscDSHasJacobianPreconditioner

Signals that a Jacobian preconditioner matrix has been set

### Synopsis

    #include "petscds.h"
    PetscErrorCode PetscDSHasJacobianPreconditioner(PetscDS ds, PetscBool *hasJacPre)

Not collective

### Input Parameter

| prob | - The PetscDS

### Output Parameter

| hasJacPre | - flag that pointwise function for Jacobian preconditioner matrix has been set

### See Also

PetscDSGetJacobianPreconditioner(), PetscDSSetJacobianPreconditioner(), PetscDSGetJacobian()

### Level

intermediate

### Location

src/dm/dt/interface/dtds.c
Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages